# updateCallOutcome

Record or correct a call's outcome (disposition) and its note (at most 280 characters), as the dialer's outcome gate does. By callSid, or by contactId for the key owner's latest outbound call to that contact. Sends nothing.

- Call: `POST https://server.goliathdata.com/api/v1/call` with `{ "operationId": "updateCallOutcome", "variables": {...} }`
- Scope: `WRITE`
- Type: mutation
- Idempotency: honors `Idempotency-Key` (24 h)
- Rate-limited: no

## Variables

- `callSid`: `ID`
- `contactId`: `ID`
- `disposition`: `CallDisposition!` (required, one of `Connected`, `Voicemail`, `NoAnswer`, `BadNumber`, `NotInterested`, `Callback`)
- `note`: `String`

## Response (data, an example)

```json
{
  "callsMutation": {
    "updateCallDisposition": true
  }
}
```

## Example

```bash
curl https://server.goliathdata.com/api/v1/call \
  -H "Authorization: Bearer $GOLIATH_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: $(uuidgen)" \
  -d '{
    "operationId": "updateCallOutcome",
    "variables": {
      "disposition": "Connected"
    }
  }'
```
